Bug 1566348 - ocp 3.7 works with oc client 3.6 while running oc --loglevel=10 adm policy add-scc-to-user nfs-scc -z default -n testingcert but oc server 3.7 does not work with oc client 3.7 for same command
Summary: ocp 3.7 works with oc client 3.6 while running oc --loglevel=10 adm policy a...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: David Eads
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 06:47 UTC by Miheer Salunke
Modified: 2018-04-18 12:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 12:03:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 David Eads 2018-04-12 12:22:24 UTC
Looks like a clusterrole needs groupification.

You need to update `namespace-admin` to include "security.openshift.io" and "" as groups for the "securitycontextconstraints" resource

Comment 4 David Eads 2018-04-13 12:10:10 UTC
Does updating that role fix the problem?

Comment 5 Robert Bost 2018-04-17 13:53:08 UTC
Yes, updating the role resolved the issue for the customer.


Note You need to log in before you can comment on or make changes to this bug.